%define module_version 1.03
%define module_name Labyrinth-Plugin-Articles-Profiles
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(Labyrinth.pm) perl(Labyrinth/Audit.pm) perl(Labyrinth/Plugin/Articles.pm) perl(Labyrinth/Plugin/Core.pm) perl(Labyrinth/Test/Harness.pm) perl(Labyrinth/Variables.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt1
Summary: Profiles plugin for the Labyrinth framework
Group: Development/Perl
License: artistic_2
URL: http://labyrinth.missbarbell.co.uk

Source0: http://cpan.org.ua/authors/id/B/BA/BARBIE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Contains all the profile handling functionality for Labyrinth.

This module forms part 1 of the Music Suite of modules for the Labyrinth 
framework.

The Profiles module only contains the basic handling of profiles currently. The
intention is to expand the stored data to include years active, in order to
create a Rock Family Tree style output, and example of which is included within
the distribution.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/L*

%changelog
* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

